diff -Nur olsrd-0.4.10.orig/lib/httpinfo/Makefile olsrd-0.4.10/lib/httpinfo/Makefile
--- olsrd-0.4.10.orig/lib/httpinfo/Makefile	2005-05-25 15:50:22.000000000 +0200
+++ olsrd-0.4.10/lib/httpinfo/Makefile	2006-11-03 09:07:12.000000000 +0100
@@ -48,7 +48,11 @@
 	CFLAGS += -DADMIN_INTERFACE
 endif
 
+ifdef SVEN_OLA
+	CFLAGS += -DSVEN_OLA
+else
 OBJS += $(TOPDIR)/src/cfgparser/cfgfile_gen.o
+endif
 
 default_target: $(PLUGIN_FULLNAME)
 ifdef ADMIN_INTERFACE
diff -Nur olsrd-0.4.10.orig/lib/httpinfo/src/html.h olsrd-0.4.10/lib/httpinfo/src/html.h
--- olsrd-0.4.10.orig/lib/httpinfo/src/html.h	2005-03-14 22:28:15.000000000 +0100
+++ olsrd-0.4.10/lib/httpinfo/src/html.h	2006-11-03 09:07:12.000000000 +0100
@@ -90,11 +90,14 @@
   "<HEAD>\n",
   "<META http-equiv=\"Content-type\" content=\"text/html; charset=ISO-8859-1\">\n",
   "<TITLE>olsr.org httpinfo plugin</TITLE>\n",
+#ifndef SVEN_OLA
   "<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\">\n",
   "<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\">\n",
+#endif
   "<link rel=\"stylesheet\" type=\"text/css\" href=\"httpinfo.css\">\n",
   "</HEAD>\n",
   "<body bgcolor=\"#ffffff\" text=\"#000000\">\n",
+#ifndef SVEN_OLA
   "<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"800\">"
   "<tbody><tr bgcolor=\"#ffffff\">",
   "<td align=\"left\" height=\"69\" valign=\"middle\" width=\"80%\">",
@@ -105,6 +108,7 @@
   "<p>",
   "</table>",
   "<!-- END HEAD -->\n\n",
+#endif
   NULL
 };
 
diff -Nur olsrd-0.4.10.orig/lib/httpinfo/src/olsrd_httpinfo.c olsrd-0.4.10/lib/httpinfo/src/olsrd_httpinfo.c
--- olsrd-0.4.10.orig/lib/httpinfo/src/olsrd_httpinfo.c	2005-12-22 16:06:52.000000000 +0100
+++ olsrd-0.4.10/lib/httpinfo/src/olsrd_httpinfo.c	2006-11-03 09:07:12.000000000 +0100
@@ -61,7 +61,9 @@
 #include "olsrd_httpinfo.h"
 #include "admin_interface.h"
 #include "html.h"
+#ifndef SVEN_OLA
 #include "gfx.h"
+#endif
 
 #ifdef OS
 #undef OS
@@ -206,10 +208,13 @@
     {"Admin", "admin", build_admin_body, OLSR_TRUE},
 #endif
     {"About", "about", build_about_body, OLSR_TRUE},
+#ifndef SVEN_OLA
     {"FOO", "cfgfile", build_cfgfile_body, OLSR_FALSE},
+#endif
     {NULL, NULL, NULL}
   };
 
+#ifndef SVEN_OLA
 struct static_bin_file_entry static_bin_files[] =
   {
     {"favicon.ico", favicon_ico, 1406/*favicon_ico_len*/},
@@ -217,6 +222,7 @@
     {"grayline.gif", grayline_gif, 43/*grayline_gif_len*/},
     {NULL, NULL, 0}
   };
+#endif
 
 struct static_txt_file_entry static_txt_files[] =
   {
@@ -418,6 +424,7 @@
       int i = 0;
       int y = 0;
 
+#ifndef SVEN_OLA
       while(static_bin_files[i].filename)
 	{
 	  if(FILENREQ_MATCH(filename, static_bin_files[i].filename))
@@ -435,6 +442,7 @@
 	}
 
       i = 0;
+#endif
 
       while(static_txt_files[i].filename)
 	{
@@ -1180,6 +1188,7 @@
   return size;
 }
 
+#ifndef SVEN_OLA
 int
 build_cfgfile_body(char *buf, olsr_u32_t bufsize)
 {
@@ -1207,7 +1216,7 @@
  
   return size;
 }
-
+#endif
 
 olsr_bool
 check_allowed_ip(union olsr_ip_addr *addr)
diff -Nur olsrd-0.4.10.orig/lib/nameservice/src/nameservice.c olsrd-0.4.10/lib/nameservice/src/nameservice.c
--- olsrd-0.4.10.orig/lib/nameservice/src/nameservice.c	2006-11-03 09:06:10.000000000 +0100
+++ olsrd-0.4.10/lib/nameservice/src/nameservice.c	2006-11-03 09:09:50.000000000 +0100
@@ -57,6 +57,10 @@
 #include "olsrd_copy.h"
 #include "compat.h"
 
+#ifdef SVEN_OLA
+#undef OLSR_PRINTF
+#define OLSR_PRINTF(...)
+#endif
 
 /* send buffer: huge */
 static char buffer[10240];
@@ -67,7 +71,9 @@
 static char my_suffix[MAX_SUFFIX];
 static int my_interval = EMISSION_INTERVAL;
 static double my_timeout = NAME_VALID_TIME;
+#ifndef SVEN_OLA
 static char my_resolv_file[MAX_FILE +1];
+#endif
 static char my_services_file[MAX_FILE + 1];
 
 /* the databases (using hashing)
@@ -84,9 +90,11 @@
 struct name_entry *my_services = NULL;
 olsr_bool service_table_changed = OLSR_TRUE;
 
+#ifndef SVEN_OLA
 struct db_entry* forwarder_list[HASHSIZE];
 struct name_entry *my_forwarders = NULL;
 olsr_bool forwarder_table_changed = OLSR_TRUE;
+#endif
 
 /* regualar expression to be matched by valid hostnames, compiled in name_init() */
 regex_t regex_t_name;
@@ -121,15 +129,19 @@
  		my_services_file[len++] = '\\';
 	strcpy(my_services_file + len, "services_olsr");
 
+#ifndef SVEN_OLA
     len = strlen(my_resolv_file);
 	if (my_resolv_file[len - 1] != '\\')
  		my_resolv_file[len++] = '\\';
 	strcpy(my_resolv_file + len, "resolvconf_olsr");
+#endif
 #else
 	strcpy(my_hosts_file, "/var/run/hosts_olsr");
 	strcpy(my_services_file, "/var/run/services_olsr");
+#ifndef SVEN_OLA
 	strcpy(my_resolv_file, "/var/run/resolvconf_olsr");
 #endif
+#endif
 
 	my_suffix[0] = '\0';
 	my_add_hosts[0] = '\0';
@@ -137,7 +149,9 @@
 	/* init lists */
 	for(i = 0; i < HASHSIZE; i++) {
 		list[i] = NULL;
+#ifndef SVEN_OLA
 		forwarder_list[i] = NULL;
+#endif
         service_list[i] = NULL;
 	}
 	
@@ -153,53 +167,57 @@
 {
 	if(!strcmp(key, "interval")) {
 		my_interval = atoi(value);
-		olsr_printf(1,"\nNAME PLUGIN: parameter interval: %d", my_interval);
+		OLSR_PRINTF(1,"\nNAME PLUGIN: parameter interval: %d", my_interval);
 	}
 	else if(!strcmp(key, "timeout")) {
 		my_timeout = atof(value);
-		olsr_printf(1,"\nNAME PLUGIN: parameter timeout: %f", my_timeout);
+		OLSR_PRINTF(1,"\nNAME PLUGIN: parameter timeout: %f", my_timeout);
 	} 
 	else if(!strcmp(key, "hosts-file")) {
 		strncpy( my_hosts_file, value, MAX_FILE );
-		olsr_printf(1,"\nNAME PLUGIN: parameter filename: %s", my_hosts_file);
+		OLSR_PRINTF(1,"\nNAME PLUGIN: parameter filename: %s", my_hosts_file);
 	}
+#ifndef SVEN_OLA
 	else if(!strcmp(key, "resolv-file")) {
 		strncpy(my_resolv_file, value, MAX_FILE);
-		olsr_printf(1,"\nNAME PLUGIN: parameter resolv-file: %s", my_resolv_file);
+		OLSR_PRINTF(1,"\nNAME PLUGIN: parameter resolv-file: %s", my_resolv_file);
 	}
+#endif
 	else if(!strcmp(key, "suffix")) {
 		strncpy(my_suffix, value, MAX_SUFFIX);
-		olsr_printf(1,"\nNAME PLUGIN: parameter suffix: %s", my_suffix);
+		OLSR_PRINTF(1,"\nNAME PLUGIN: parameter suffix: %s", my_suffix);
 	}
 	else if(!strcmp(key, "add-hosts")) {
 		strncpy(my_add_hosts, value, MAX_FILE);
-		olsr_printf(1,"\nNAME PLUGIN: parameter additional host: %s", my_add_hosts);
+		OLSR_PRINTF(1,"\nNAME PLUGIN: parameter additional host: %s", my_add_hosts);
 	}
 	else if(!strcmp(key, "services-file")) {
 		strncpy(my_services_file, value, MAX_FILE);
-		olsr_printf(1,"\nNAME PLUGIN: parameter services-file: %s", my_services_file);
+		OLSR_PRINTF(1,"\nNAME PLUGIN: parameter services-file: %s", my_services_file);
 	}
+#ifndef SVEN_OLA
 	else if(!strcmp(key, "dns-server")) {
 		struct in_addr ip;
 		if (strlen(value) == 0) {
             my_forwarders = add_name_to_list(my_forwarders, "", NAME_FORWARDER, NULL);
-            olsr_printf(1,"\nNAME PLUGIN: parameter dns-server: (main address)");
+            OLSR_PRINTF(1,"\nNAME PLUGIN: parameter dns-server: (main address)");
         } else if (inet_aton(value, &ip)) {
             my_forwarders = add_name_to_list(my_forwarders, "", NAME_FORWARDER, &ip);
-            olsr_printf(1,"\nNAME PLUGIN: parameter dns-server: (%s)", value);
+            OLSR_PRINTF(1,"\nNAME PLUGIN: parameter dns-server: (%s)", value);
         } else {
-            olsr_printf(1,"\nNAME PLUGIN: invalid parameter dns-server: %s ", value);
+            OLSR_PRINTF(1,"\nNAME PLUGIN: invalid parameter dns-server: %s ", value);
         }
 	}
+#endif
 	else if(!strcmp(key, "name")) {
 		// name for main address
         my_names = add_name_to_list(my_names, value, NAME_HOST, NULL);
-        olsr_printf(1,"\nNAME PLUGIN: parameter name: %s (main address)", value);
+        OLSR_PRINTF(1,"\nNAME PLUGIN: parameter name: %s (main address)", value);
 	}
 	else if(!strcmp(key, "service")) {
 		// name for main address
         my_services = add_name_to_list(my_services, value, NAME_SERVICE, NULL);
-        olsr_printf(1,"\nNAME PLUGIN: parameter service: %s (main address)", value);
+        OLSR_PRINTF(1,"\nNAME PLUGIN: parameter service: %s (main address)", value);
 	}
 	else {
 		// assume this is an IP address and hostname
@@ -208,10 +226,10 @@
 		if (inet_aton(key, &ip)) {
 			// the IP is validated later
             my_names = add_name_to_list(my_names, value, NAME_HOST, &ip);
-			olsr_printf(1,"\nNAME PLUGIN: parameter name %s (%s)", value, key);
+			OLSR_PRINTF(1,"\nNAME PLUGIN: parameter name %s (%s)", value, key);
 		} 
 		else {
-			olsr_printf(1,"\nNAME PLUGIN: invalid parameter name: %s (%s)!", value, key);
+			OLSR_PRINTF(1,"\nNAME PLUGIN: invalid parameter name: %s (%s)!", value, key);
 		}
 	}
 
@@ -276,7 +294,7 @@
         free(errmsg);
         regfree(&regex_t_name);
          * */
-        olsr_printf(0, "compilation of regex \"%s\" for hostname failed", regex_name);
+        OLSR_PRINTF(0, "compilation of regex \"%s\" for hostname failed", regex_name);
 	}
                   
   // a service line is something like prot://hostname.suffix:port|tcp|my little description about this service
@@ -302,7 +320,7 @@
 		free(errmsg);
 		regfree(&regex_t_service);
          * */
-        olsr_printf(0, "compilation of regex \"%s\" for hostname failed", regex_name);
+        OLSR_PRINTF(0, "compilation of regex \"%s\" for hostname failed", regex_name);
 	}
     free(regex_service);
     regex_service = NULL;
@@ -312,20 +330,24 @@
     //for service
 	for (name = my_names; name != NULL; name = name->next) {
         if (name->ip.v4 == 0) {
-            olsr_printf(2, "NAME PLUGIN: insert main addr for name %s \n", name->name);
+            OLSR_PRINTF(2, "NAME PLUGIN: insert main addr for name %s \n", name->name);
 			memcpy(&name->ip, &main_addr, ipsize);
         }
     }
+#ifndef SVEN_OLA
 	for (name = my_forwarders; name != NULL; name = name->next) {
         if (name->ip.v4 == 0) {
-            olsr_printf(2, "NAME PLUGIN: insert main addr for name %s \n", name->name);
+            OLSR_PRINTF(2, "NAME PLUGIN: insert main addr for name %s \n", name->name);
 			memcpy(&name->ip, &main_addr, ipsize);
         }
     }
+#endif
 
     //check if entries I want to announce myself are valid and allowed
     my_names = remove_nonvalid_names_from_list(my_names, NAME_HOST);
+#ifndef SVEN_OLA
     my_forwarders = remove_nonvalid_names_from_list(my_forwarders, NAME_FORWARDER);
+#endif
     my_services = remove_nonvalid_names_from_list(my_services, NAME_SERVICE);
 
 		
@@ -360,7 +382,7 @@
     }
     
     if ( !valid  ) {
-        olsr_printf(1, "NAME PLUGIN: invalid or malformed parameter %s (%s), fix your config!\n", my_list->name, olsr_ip_to_string(&my_list->ip));
+        OLSR_PRINTF(1, "NAME PLUGIN: invalid or malformed parameter %s (%s), fix your config!\n", my_list->name, olsr_ip_to_string(&my_list->ip));
         next = my_list->next;
         free(my_list->name);
         my_list->name = NULL;
@@ -368,7 +390,7 @@
         my_list = NULL;
         return remove_nonvalid_names_from_list(next, type);
     } else {
-        olsr_printf(2, "NAME PLUGIN: validate parameter %s (%s) -> OK\n", my_list->name, olsr_ip_to_string(&my_list->ip));
+        OLSR_PRINTF(2, "NAME PLUGIN: validate parameter %s (%s) -> OK\n", my_list->name, olsr_ip_to_string(&my_list->ip));
         my_list->next = remove_nonvalid_names_from_list(my_list->next, type);
         return my_list;    
     }
@@ -384,15 +406,19 @@
 void
 name_destructor()
 {
-	olsr_printf(2, "NAME PLUGIN: exit. cleaning up...\n");
+	OLSR_PRINTF(2, "NAME PLUGIN: exit. cleaning up...\n");
 	
 	free_name_entry_list(&my_names);
 	free_name_entry_list(&my_services);
+#ifndef SVEN_OLA
 	free_name_entry_list(&my_forwarders);
+#endif
 
     free_all_list_entries(list);
     free_all_list_entries(service_list);
+#ifndef SVEN_OLA
     free_all_list_entries(forwarder_list);
+#endif
 
     regfree(&regex_t_name);
     regfree(&regex_t_service);
@@ -435,10 +461,14 @@
 olsr_timeout()
 {
     timeout_old_names(list, &name_table_changed);
+#ifndef SVEN_OLA
     timeout_old_names(forwarder_list, &forwarder_table_changed);
+#endif
     timeout_old_names(service_list, &service_table_changed);
      
+#ifndef SVEN_OLA
 	write_resolv_file();
+#endif
 	write_hosts_file();
 	write_services_file();
 }
@@ -461,7 +491,7 @@
                 /* update the pointer in the linked list */
 				*tmp = (*tmp)->next;
 				
-				olsr_printf(2, "NAME PLUGIN: %s timed out... deleting\n", 
+				OLSR_PRINTF(2, "NAME PLUGIN: %s timed out... deleting\n", 
 					olsr_ip_to_string(&to_delete->originator));
 	
 				/* Delete */
@@ -491,7 +521,7 @@
 	/* looping trough interfaces */
 	for (ifn = ifnet; ifn ; ifn = ifn->int_next) 
 	{
-		olsr_printf(3, "NAME PLUGIN: Generating packet - [%s]\n", ifn->int_name);
+		OLSR_PRINTF(3, "NAME PLUGIN: Generating packet - [%s]\n", ifn->int_name);
 
 		/* fill message */
 		if(olsr_cnf->ip_version == AF_INET)
@@ -529,7 +559,7 @@
 			/* send data and try again */
 			net_output(ifn);
 			if(net_outbuffer_push(ifn, (olsr_u8_t *)message, namesize) != namesize ) {
-				olsr_printf(1, "NAME PLUGIN: could not send on interface: %s\n", ifn->int_name);
+				OLSR_PRINTF(1, "NAME PLUGIN: could not send on interface: %s\n", ifn->int_name);
 			}
 		}
 	}
@@ -570,7 +600,7 @@
 	/* Check that the neighbor this message was received from is symmetric. 
 	If not - back off*/
 	if(check_neighbor_link(in_addr) != SYM_LINK) {
-		olsr_printf(3, "NAME PLUGIN: Received msg from NON SYM neighbor %s\n", olsr_ip_to_string(in_addr));
+		OLSR_PRINTF(3, "NAME PLUGIN: Received msg from NON SYM neighbor %s\n", olsr_ip_to_string(in_addr));
 		return;
 	}
 
@@ -615,11 +645,13 @@
 		i++;
 	}
 	// forwarders
+#ifndef SVEN_OLA
 	for (my_name = my_forwarders; my_name!=NULL; my_name = my_name->next)
 	{
         pos = create_packet( (struct name*) pos, my_name);
 		i++;
 	}
+#endif
 	// services
 	for (my_service = my_services; my_service!=NULL; my_service = my_service->next)
 	{
@@ -646,7 +678,7 @@
 {
     char *pos = (char*) to;
     int k;
-    olsr_printf(3, "NAME PLUGIN: Announcing name %s (%s) %d\n", 
+    OLSR_PRINTF(3, "NAME PLUGIN: Announcing name %s (%s) %d\n", 
         from->name, olsr_ip_to_string(&from->ip), from->len);
     to->type = htons(from->type);
     to->len = htons(from->len);
@@ -668,7 +700,7 @@
 	struct name_entry *tmp;
 	struct name_entry *already_saved_name_entries;
     char *name = (char*)from_packet + sizeof(struct name);
-	olsr_printf(4, "\nNAME PLUGIN: decapsulating received name, service or forwarder \n");
+	OLSR_PRINTF(4, "\nNAME PLUGIN: decapsulating received name, service or forwarder \n");
     int type_of_from_packet = ntohs(from_packet->type);
     unsigned int len_of_name = ntohs(from_packet->len);
     
@@ -677,24 +709,24 @@
     for (already_saved_name_entries = (*to); already_saved_name_entries != NULL ; already_saved_name_entries = already_saved_name_entries->next)
     {
         if ( (type_of_from_packet==NAME_HOST || type_of_from_packet==NAME_SERVICE) && strncmp(already_saved_name_entries->name, name, len_of_name) == 0 ) {
-            olsr_printf(4, "\nNAME PLUGIN: received name or service entry %s (%s) already in hash table\n", name, olsr_ip_to_string(&already_saved_name_entries->ip));
+            OLSR_PRINTF(4, "\nNAME PLUGIN: received name or service entry %s (%s) already in hash table\n", name, olsr_ip_to_string(&already_saved_name_entries->ip));
             return;
         } else  if (type_of_from_packet==NAME_FORWARDER && COMP_IP(&already_saved_name_entries->ip, &from_packet->ip) ) {
-            olsr_printf(4, "\nNAME PLUGIN: received forwarder entry %s (%s) already in hash table\n", name, olsr_ip_to_string(&already_saved_name_entries->ip));
+            OLSR_PRINTF(4, "\nNAME PLUGIN: received forwarder entry %s (%s) already in hash table\n", name, olsr_ip_to_string(&already_saved_name_entries->ip));
             return;
         }
     }
 
     //XXX: should I check the from_packet->ip here? If so, why not also check the ip fro HOST and SERVICE?
     if( (type_of_from_packet==NAME_HOST && !is_name_wellformed(name))  ||  (type_of_from_packet==NAME_SERVICE && !is_service_wellformed(name)) ) {
-        olsr_printf(4, "\nNAME PLUGIN: invalid name [%s] received, skipping.\n", name );
+        OLSR_PRINTF(4, "\nNAME PLUGIN: invalid name [%s] received, skipping.\n", name );
         return;
     }
 
     //ignore all packets with a too long name
     //or a spoofed len of its included name string
     if (len_of_name > MAX_NAME || strlen(name) != len_of_name) {
-        olsr_printf(4, "\nNAME PLUGIN: from_packet->len %d > MAX_NAME %d or from_packet->len %d !0 strlen(name [%s] in packet)\n", 
+        OLSR_PRINTF(4, "\nNAME PLUGIN: from_packet->len %d > MAX_NAME %d or from_packet->len %d !0 strlen(name [%s] in packet)\n", 
                 len_of_name, MAX_NAME, len_of_name, name );
         return;
     }
@@ -708,7 +740,7 @@
     strncpy(tmp->name, name, tmp->len);
     tmp->name[tmp->len] = '\0';
 
-    olsr_printf(3, "\nNAME PLUGIN: create new name/service/forwarder entry %s (%s) [len=%d] [type=%d] in linked list\n", 
+    OLSR_PRINTF(3, "\nNAME PLUGIN: create new name/service/forwarder entry %s (%s) [len=%d] [type=%d] in linked list\n", 
         tmp->name, olsr_ip_to_string(&tmp->ip), tmp->len, tmp->type);
 
     *this_table_changed = OLSR_TRUE;
@@ -730,11 +762,11 @@
 	struct name *from_packet; 
 	int i;
 
-	olsr_printf(3, "NAME PLUGIN: Received Message from %s\n", 
+	OLSR_PRINTF(3, "NAME PLUGIN: Received Message from %s\n", 
 		olsr_ip_to_string(originator));
 	
     if (ntohs(msg->version) != NAME_PROTOCOL_VERSION) {
-		olsr_printf(3, "NAME PLUGIN: ignoring wrong version %d\n", msg->version);
+		OLSR_PRINTF(3, "NAME PLUGIN: ignoring wrong version %d\n", msg->version);
 		return;
 	}
 
@@ -751,21 +783,23 @@
             case NAME_HOST: 
                 insert_new_name_in_list(originator, list, from_packet, &name_table_changed, vtime); 
                 break;
+#ifndef SVEN_OLA
             case NAME_FORWARDER:
                 insert_new_name_in_list(originator, forwarder_list, from_packet, &forwarder_table_changed, vtime); 
                 break;
+#endif
             case NAME_SERVICE:
                 insert_new_name_in_list(originator, service_list, from_packet, &service_table_changed, vtime); 
                 break;
             default:
-                olsr_printf(3, "NAME PLUGIN: Received Message of unknown type [%d] from (%s)\n", from_packet->type, olsr_ip_to_string(originator));
+                OLSR_PRINTF(3, "NAME PLUGIN: Received Message of unknown type [%d] from (%s)\n", from_packet->type, olsr_ip_to_string(originator));
                 break;
         }
 		pos += sizeof(struct name);
 		pos += 1 + (( ntohs(from_packet->len) - 1) | 3);
     }
 	if (i!=0)
-		olsr_printf(4, "NAME PLUGIN: Lost %d entries in received packet due to length inconsistency (%s)\n", i, olsr_ip_to_string(originator));
+		OLSR_PRINTF(4, "NAME PLUGIN: Lost %d entries in received packet due to length inconsistency (%s)\n", i, olsr_ip_to_string(originator));
 }
 
 
@@ -788,7 +822,7 @@
             {
                 if (memcmp(originator, &entry->originator, ipsize) == 0) {
                     // found
-                    olsr_printf(4, "NAME PLUGIN: found entry for (%s) in its hash table\n", olsr_ip_to_string(originator));
+                    OLSR_PRINTF(4, "NAME PLUGIN: found entry for (%s) in its hash table\n", olsr_ip_to_string(originator));
                 
                     //delegate to function for parsing the packet and linking it to entry->names
                     decap_namemsg(from_packet, &entry->names, this_table_changed);
@@ -800,7 +834,7 @@
             }
             if (! entry_found)
             {
-                olsr_printf(3, "NAME PLUGIN: create new db entry for ip (%s) in hash table\n", olsr_ip_to_string(originator));
+                OLSR_PRINTF(3, "NAME PLUGIN: create new db entry for ip (%s) in hash table\n", olsr_ip_to_string(originator));
                     
                 /* insert a new entry */
                 entry = olsr_malloc(sizeof(struct db_entry), "new db_entry");
@@ -835,11 +869,11 @@
 	if (!name_table_changed)
 		return;
 
-	olsr_printf(2, "NAME PLUGIN: writing hosts file\n");
+	OLSR_PRINTF(2, "NAME PLUGIN: writing hosts file\n");
 		      
 	hosts = fopen( my_hosts_file, "w" );
 	if (hosts == NULL) {
-		olsr_printf(2, "NAME PLUGIN: cant write hosts file\n");
+		OLSR_PRINTF(2, "NAME PLUGIN: cant write hosts file\n");
 		return;
 	}
 	
@@ -852,7 +886,7 @@
 	if (my_add_hosts[0] != '\0') {
 		add_hosts = fopen( my_add_hosts, "r" );
 		if (add_hosts == NULL) {
-			olsr_printf(2, "NAME PLUGIN: cant open additional hosts file\n");
+			OLSR_PRINTF(2, "NAME PLUGIN: cant open additional hosts file\n");
 		}
 		else {
 			fprintf(hosts, "### contents from '%s' ###\n\n", my_add_hosts);
@@ -875,8 +909,8 @@
 		{
 			for (name = entry->names; name != NULL; name = name->next) 
 			{
-                olsr_printf(6, "%s\t%s%s", olsr_ip_to_string(&name->ip), name->name, my_suffix);
-                olsr_printf(6, "\t#%s\n", olsr_ip_to_string(&entry->originator));
+                OLSR_PRINTF(6, "%s\t%s%s", olsr_ip_to_string(&name->ip), name->name, my_suffix);
+                OLSR_PRINTF(6, "\t#%s\n", olsr_ip_to_string(&entry->originator));
                 
                 fprintf(hosts, "%s\t%s%s", olsr_ip_to_string(&name->ip), name->name, my_suffix);
                 fprintf(hosts, "\t# %s\n", olsr_ip_to_string(&entry->originator));
@@ -914,11 +948,11 @@
 	if (!service_table_changed)
 		return;
 
-	olsr_printf(2, "NAME PLUGIN: writing services file\n");
+	OLSR_PRINTF(2, "NAME PLUGIN: writing services file\n");
 		      
 	services_file = fopen( my_services_file, "w" );
 	if (services_file == NULL) {
-		olsr_printf(2, "NAME PLUGIN: cant write services_file file\n");
+		OLSR_PRINTF(2, "NAME PLUGIN: cant write services_file file\n");
 		return;
 	}
 	
@@ -938,8 +972,8 @@
 		{
 			for (name = entry->names; name != NULL; name = name->next) 
 			{
-                olsr_printf(6, "%s\t",  name->name);
-                olsr_printf(6, "\t#%s\n", olsr_ip_to_string(&entry->originator));
+                OLSR_PRINTF(6, "%s\t",  name->name);
+                OLSR_PRINTF(6, "\t#%s\n", olsr_ip_to_string(&entry->originator));
                 
                 fprintf(services_file, "%s\t", name->name );
                 fprintf(services_file, "\t#%s\n", olsr_ip_to_string(&entry->originator));
@@ -959,6 +993,7 @@
  * write the 3 best upstream DNS servers to resolv.conf file
  * best means the 3 with the best etx value in routing table
  */
+#ifndef SVEN_OLA
 void
 write_resolv_file()
 {
@@ -987,10 +1022,10 @@
 					continue;
 				
 				if (best_routes == NULL || route->rt_etx < best_routes->rt_etx) {
-					olsr_printf(6, "NAME PLUGIN: best nameserver %s\n",
+					OLSR_PRINTF(6, "NAME PLUGIN: best nameserver %s\n",
 						olsr_ip_to_string(&route->rt_dst));
 					if (best_routes!=NULL)
-						olsr_printf(6, "NAME PLUGIN: better than %f (%s)\n",
+						OLSR_PRINTF(6, "NAME PLUGIN: better than %f (%s)\n",
 							best_routes->rt_etx,
 							olsr_ip_to_string(&best_routes->rt_dst));
 					
@@ -1009,10 +1044,10 @@
 						i++;
 					}
 					if (i<3) {
-						olsr_printf(6, "NAME PLUGIN: queue %f (%s)",
+						OLSR_PRINTF(6, "NAME PLUGIN: queue %f (%s)",
 							route->rt_etx,
 							olsr_ip_to_string(&route->rt_dst));
-						olsr_printf(6, " after %f (%s)\n", 
+						OLSR_PRINTF(6, " after %f (%s)\n", 
 							last->rt_etx, olsr_ip_to_string(&last->rt_dst));
 						
 						tmp = olsr_malloc(sizeof(struct rt_entry), "new rt_entry");
@@ -1021,7 +1056,7 @@
 						tmp->next = last->next;
 						last->next = tmp;
 					} else {
-						olsr_printf(6, "NAME PLUGIN: don't need more than 3 nameservers\n");
+						OLSR_PRINTF(6, "NAME PLUGIN: don't need more than 3 nameservers\n");
 					}
 				}
 			}
@@ -1031,17 +1066,17 @@
 		return;
 		 
 	/* write to file */
-    olsr_printf(2, "NAME PLUGIN: try to write to resolv file\n");
+    OLSR_PRINTF(2, "NAME PLUGIN: try to write to resolv file\n");
 	resolv = fopen( my_resolv_file, "w" );
 	if (resolv == NULL) {
-		olsr_printf(2, "NAME PLUGIN: can't write resolv file\n");
+		OLSR_PRINTF(2, "NAME PLUGIN: can't write resolv file\n");
 		return;
 	}
 	fprintf(resolv, "### this file is overwritten regularly by olsrd\n");
 	fprintf(resolv, "### do not edit\n\n");
 	i=0;
 	for (tmp=best_routes; tmp!=NULL && i<3; tmp=tmp->next) {
-		olsr_printf(6, "NAME PLUGIN: nameserver %s\n", olsr_ip_to_string(&tmp->rt_dst));
+		OLSR_PRINTF(6, "NAME PLUGIN: nameserver %s\n", olsr_ip_to_string(&tmp->rt_dst));
 		fprintf(resolv, "nameserver %s\n", olsr_ip_to_string(&tmp->rt_dst));
 		i++;
 	}
@@ -1051,6 +1086,7 @@
 	fclose(resolv);
 	forwarder_table_changed = OLSR_FALSE;
 }
+#endif
 
 
 /**
@@ -1084,25 +1120,25 @@
 	struct hna4_entry *hna4;
 	struct interface *iface;
 	
-	olsr_printf(6, "checking %s\n", olsr_ip_to_string(addr));
+	OLSR_PRINTF(6, "checking %s\n", olsr_ip_to_string(addr));
 	
 	for(iface = ifnet; iface; iface = iface->int_next)
 	{
-		olsr_printf(6, "interface %s\n", olsr_ip_to_string(&iface->ip_addr));
+		OLSR_PRINTF(6, "interface %s\n", olsr_ip_to_string(&iface->ip_addr));
 		if (COMP_IP(&iface->ip_addr, addr)) {
-			olsr_printf(6, "MATCHED\n");
+			OLSR_PRINTF(6, "MATCHED\n");
 			return OLSR_TRUE;
 		}
 	}
 	
 	for (hna4 = olsr_cnf->hna4_entries; hna4; hna4 = hna4->next)
 	{
-		olsr_printf(6, "HNA %s/%s\n", 
+		OLSR_PRINTF(6, "HNA %s/%s\n", 
 			olsr_ip_to_string(&hna4->net),
 			olsr_ip_to_string(&hna4->netmask));
 	
 		if ( hna4->netmask.v4 != 0 && (addr->v4 & hna4->netmask.v4) == hna4->net.v4 ) {
-			olsr_printf(6, "MATCHED\n");
+			OLSR_PRINTF(6, "MATCHED\n");
 			return OLSR_TRUE;
 		}
 	}
@@ -1130,8 +1166,14 @@
      * these are then used by allowed_hostname_or_ip_in_service
      * see regexec(3) for more infos */
     if (!is_service_wellformed(service_line)) {
+#ifdef SVEN_OLA
+	olsr_printf(1, "NAME PLUGIN: %s: Not 'x://y:z/|tcp|Text'\n", service_line);
+#endif
         return OLSR_FALSE;
     } else if (!allowed_hostname_or_ip_in_service(service_line, &(regmatch_t_service[1]))) {
+#ifdef SVEN_OLA
+	olsr_printf(1, "NAME PLUGIN: %s: IP/Addr not yours and not HNA\n", service_line);
+#endif
         return OLSR_FALSE;
     } 
 
@@ -1153,7 +1195,7 @@
     //hostname is one of the names, that I announce (i.e. one that i am allowed to announce)
     for (name = my_names; name != NULL; name = name->next) {
         if (strncmp(name->name, hostname_or_ip, name->len - strlen(my_suffix)) == 0 ) {
-            olsr_printf(4, "NAME PLUGIN: hostname %s in service %s is OK\n", hostname_or_ip, service_line);
+            OLSR_PRINTF(4, "NAME PLUGIN: hostname %s in service %s is OK\n", hostname_or_ip, service_line);
             free(hostname_or_ip);
             hostname_or_ip = NULL;
             return OLSR_TRUE;
@@ -1164,14 +1206,14 @@
     if (inet_aton(hostname_or_ip, &ip)) {
         olsr_ip.v4 = ip.s_addr;
         if (allowed_ip(&olsr_ip)) {
-            olsr_printf(2, "NAME PLUGIN: ip %s in service %s is OK\n", olsr_ip_to_string(&olsr_ip), service_line);
+            OLSR_PRINTF(2, "NAME PLUGIN: ip %s in service %s is OK\n", olsr_ip_to_string(&olsr_ip), service_line);
             free(hostname_or_ip);
             hostname_or_ip = NULL;
             return OLSR_TRUE;
         }
     }
 
-    olsr_printf(1, "NAME PLUGIN: ip or hostname %s in service %s is NOT allowed (does not belong to you)\n", hostname_or_ip, service_line);
+    OLSR_PRINTF(1, "NAME PLUGIN: ip or hostname %s in service %s is NOT allowed (does not belong to you)\n", hostname_or_ip, service_line);
     free(hostname_or_ip);
     hostname_or_ip = NULL;
 
diff -Nur olsrd-0.4.10.orig/Makefile.inc olsrd-0.4.10/Makefile.inc
--- olsrd-0.4.10.orig/Makefile.inc	2006-01-01 16:58:20.000000000 +0100
+++ olsrd-0.4.10/Makefile.inc	2006-11-03 09:07:12.000000000 +0100
@@ -69,6 +69,10 @@
 # we always need the includes and defines
 CFLAGS += $(INCLUDES) $(DEFINES)
 
+ifdef SVEN_OLA
+CFLAGS += -DSVEN_OLA -DNODEBUG
+endif
+
 TAGFILE ?=	src/TAGS
 
 help:
diff -Nur olsrd-0.4.10.orig/src/cfgparser/Makefile olsrd-0.4.10/src/cfgparser/Makefile
--- olsrd-0.4.10.orig/src/cfgparser/Makefile	2005-12-29 20:48:43.000000000 +0100
+++ olsrd-0.4.10/src/cfgparser/Makefile	2006-11-03 09:07:12.000000000 +0100
@@ -41,7 +41,11 @@
 TOPDIR=../..
 include $(TOPDIR)/Makefile.inc
 
+ifdef SVEN_OLA
+SRCS =		olsrd_conf.c  oparse.c  oscan.c
+else
 SRCS =		olsrd_conf.c  oparse.c  oscan.c cfgfile_gen.c
+endif
 HDRS =		olsrd_conf.h  oparse.h
 
 ifeq ($(OS), win32)
diff -Nur olsrd-0.4.10.orig/src/cfgparser/olsrd_conf.c olsrd-0.4.10/src/cfgparser/olsrd_conf.c
--- olsrd-0.4.10.orig/src/cfgparser/olsrd_conf.c	2005-11-17 05:25:44.000000000 +0100
+++ olsrd-0.4.10/src/cfgparser/olsrd_conf.c	2006-11-03 09:07:12.000000000 +0100
@@ -511,6 +511,7 @@
 void
 olsrd_print_cnf(struct olsrd_config *cnf)
 {
+#ifndef SVEN_OLA
   struct hna4_entry        *h4 = cnf->hna4_entries;
   struct hna6_entry        *h6 = cnf->hna6_entries;
   struct olsr_if           *in = cnf->interfaces;
@@ -667,6 +668,7 @@
 	  h6 = h6->next;
 	}
     }
+#endif
 }
 
 void *olsrd_cnf_malloc(unsigned int len)
diff -Nur olsrd-0.4.10.orig/src/defs.h olsrd-0.4.10/src/defs.h
--- olsrd-0.4.10.orig/src/defs.h	2006-01-01 16:59:02.000000000 +0100
+++ olsrd-0.4.10/src/defs.h	2006-11-03 09:07:12.000000000 +0100
@@ -176,6 +176,7 @@
 /* TC empty message sending */
 extern clock_t send_empty_tc;
 
+#ifndef SVEN_OLA
 /*
  *IPC functions
  *These are moved to a plugin soon
@@ -201,3 +202,4 @@
 ipc_route_send_rtentry(union olsr_ip_addr*, union olsr_ip_addr *, int, int, char *);
 
 #endif
+#endif
diff -Nur olsrd-0.4.10.orig/src/duplicate_set.c olsrd-0.4.10/src/duplicate_set.c
--- olsrd-0.4.10.orig/src/duplicate_set.c	2005-02-27 19:39:43.000000000 +0100
+++ olsrd-0.4.10/src/duplicate_set.c	2006-11-03 09:07:12.000000000 +0100
@@ -349,6 +349,7 @@
 
 
 
+#ifndef SVEN_OLA
 
 void
 olsr_print_duplicate_table()
@@ -373,3 +374,4 @@
 printf("\n");
 
 }
+#endif
diff -Nur olsrd-0.4.10.orig/src/hna_set.c olsrd-0.4.10/src/hna_set.c
--- olsrd-0.4.10.orig/src/hna_set.c	2005-05-29 14:47:45.000000000 +0200
+++ olsrd-0.4.10/src/hna_set.c	2006-11-03 09:07:12.000000000 +0100
@@ -318,6 +318,7 @@
  *
  *@return nada
  */
+#ifndef SVEN_OLA
 void
 olsr_print_hna_set()
 {
@@ -364,5 +365,6 @@
     }
 
 }
+#endif
 
 
diff -Nur olsrd-0.4.10.orig/src/ipc_frontend.c olsrd-0.4.10/src/ipc_frontend.c
--- olsrd-0.4.10.orig/src/ipc_frontend.c	2005-11-10 20:33:57.000000000 +0100
+++ olsrd-0.4.10/src/ipc_frontend.c	2006-11-03 09:07:12.000000000 +0100
@@ -46,6 +46,7 @@
  *
  */
 
+#ifndef SVEN_OLA
 #include "ipc_frontend.h"
 #include "link_set.h"
 #include "olsr.h"
@@ -541,3 +542,4 @@
   
   return 1;
 }
+#endif
diff -Nur olsrd-0.4.10.orig/src/link_set.c olsrd-0.4.10/src/link_set.c
--- olsrd-0.4.10.orig/src/link_set.c	2005-11-17 05:25:44.000000000 +0100
+++ olsrd-0.4.10/src/link_set.c	2006-11-03 09:07:12.000000000 +0100
@@ -849,6 +849,7 @@
   return;
 }
 
+#ifndef SVEN_OLA
 void olsr_print_link_set(void)
 {
   struct link_entry *walker;
@@ -889,6 +890,7 @@
 		walker->neigh_link_quality, etx)
   }
 }
+#endif
 
 static void update_packet_loss_worker(struct link_entry *entry, int lost)
 {
diff -Nur olsrd-0.4.10.orig/src/linux/kernel_routes.c olsrd-0.4.10/src/linux/kernel_routes.c
--- olsrd-0.4.10.orig/src/linux/kernel_routes.c	2005-02-27 19:39:43.000000000 +0100
+++ olsrd-0.4.10/src/linux/kernel_routes.c	2006-11-03 09:07:12.000000000 +0100
@@ -65,6 +65,7 @@
 {
   struct rtentry kernel_route;
   int tmp;
+#ifndef SVEN_OLA
   char dst_str[16], mask_str[16], router_str[16];
 
   inet_ntop(AF_INET, &destination->rt_dst.v4, dst_str, 16);
@@ -74,6 +75,7 @@
   OLSR_PRINTF(1, "(ioctl)Adding route with metric %d to %s/%s via %s/%s.\n",
               destination->rt_metric, dst_str, mask_str, router_str,
               destination->rt_if->int_name)
+#endif
   
   memset(&kernel_route, 0, sizeof(struct rtentry));
 
@@ -135,6 +137,7 @@
    *Send IPC route update message
    */
   
+#ifndef SVEN_OLA
   if(olsr_cnf->open_ipc)
       {
 	ipc_route_send_rtentry(&destination->rt_dst, 
@@ -143,6 +146,7 @@
 			       1,
 			       destination->rt_if->int_name); /* Send interface name */
       }
+#endif
   
   
   if (ifnet && kernel_route.rt_dev)
@@ -210,6 +214,7 @@
 
   if((tmp = ioctl(ioctl_s, SIOCADDRT, &kernel_route)) >= 0)
     {
+#ifndef SVEN_OLA
       if(olsr_cnf->open_ipc)
 	{
 	  if(memcmp(&destination->rt_router, &null_addr6, ipsize) != 0)
@@ -220,6 +225,7 @@
 				   destination->rt_if->int_name); /* Send interface name */
 
 	}
+#endif
     }
     return(tmp);
 }
@@ -238,6 +244,7 @@
 {
   struct rtentry kernel_route;
   int tmp;
+#ifndef SVEN_OLA
   char dst_str[16], mask_str[16], router_str[16];
 
   inet_ntop(AF_INET, &destination->rt_dst.v4, dst_str, 16);
@@ -247,6 +254,7 @@
   OLSR_PRINTF(1, "(ioctl)Deleting route with metric %d to %s/%s via %s/%s.\n",
               destination->rt_metric, dst_str, mask_str, router_str,
               destination->rt_if->int_name)
+#endif
   
   memset(&kernel_route,0,sizeof(struct rtentry));
 
@@ -281,12 +289,14 @@
      *Send IPC route update message
      */
 
+#ifndef SVEN_OLA
   if(olsr_cnf->open_ipc)
     ipc_route_send_rtentry(&destination->rt_dst, 
 			   NULL, 
 			   destination->rt_metric, 
 			   0,
 			   NULL); /* Send interface name */
+#endif
 
   return tmp;
 }
@@ -338,12 +348,14 @@
      *Send IPC route update message
      */
 
+#ifndef SVEN_OLA
   if(olsr_cnf->open_ipc)
     ipc_route_send_rtentry(&destination->rt_dst, 
 			   NULL, 
 			   destination->rt_metric, 
 			   0,
 			   NULL); /* Send interface name */
+#endif
 
   return tmp;
 }
diff -Nur olsrd-0.4.10.orig/src/main.c olsrd-0.4.10/src/main.c
--- olsrd-0.4.10.orig/src/main.c	2005-09-29 07:53:34.000000000 +0200
+++ olsrd-0.4.10/src/main.c	2006-11-03 09:07:12.000000000 +0100
@@ -246,8 +246,10 @@
   /*
    * Print configuration 
    */
+#ifndef SVEN_OLA
   if(olsr_cnf->debug_level > 1)
     olsrd_print_cnf(olsr_cnf);
+#endif
 
 #ifndef WIN32
   /* Disable redirects globally */
@@ -352,8 +354,10 @@
 
   /* Initialize the IPC socket */
 
+#ifndef SVEN_OLA
   if(olsr_cnf->open_ipc)
       ipc_init();
+#endif
 
   /* Initialisation of different tables to be used.*/
   olsr_init_tables();
@@ -465,9 +469,11 @@
 
   OLSR_PRINTF(1, "Closing sockets...\n")
 
+#ifndef SVEN_OLA
   /* front-end IPC socket */
   if(olsr_cnf->open_ipc)
     shutdown_ipc();
+#endif
 
   /* OLSR sockets */
   for (ifn = ifnet; ifn; ifn = ifn->int_next) 
@@ -528,7 +534,11 @@
   fprintf(stderr, "An error occured somwhere between your keyboard and your chair!\n"); 
   fprintf(stderr, "usage: olsrd [-f <configfile>] [ -i interface1 interface2 ... ]\n");
   fprintf(stderr, "  [-d <debug_level>] [-ipv6] [-multi <IPv6 multicast address>]\n"); 
+#ifdef SVEN_OLA
+  fprintf(stderr, "  [-bcast <broadcastaddr>] [-delgw] (Note: no -ipc,-dispin,-dispout)\n");
+#else
   fprintf(stderr, "  [-bcast <broadcastaddr>] [-ipc] [-dispin] [-dispout] [-delgw]\n");
+#endif
   fprintf(stderr, "  [-hint <hello interval (secs)>] [-tcint <tc interval (secs)>]\n");
   fprintf(stderr, "  [-midint <mid interval (secs)>] [-hnaint <hna interval (secs)>]\n");
   fprintf(stderr, "  [-T <Polling Rate (secs)>] [-nofork] [-hemu <ip_address>] \n"); 
@@ -735,6 +745,7 @@
 	}
 
 
+#ifndef SVEN_OLA
       /*
        * Should we display the contents of packages beeing sent?
        */
@@ -763,6 +774,7 @@
 	  cnf->open_ipc = OLSR_TRUE;
 	  continue;
 	}
+#endif
 
       /*
        * IPv6 multicast addr
diff -Nur olsrd-0.4.10.orig/src/neighbor_table.c olsrd-0.4.10/src/neighbor_table.c
--- olsrd-0.4.10.orig/src/neighbor_table.c	2005-11-29 19:37:58.000000000 +0100
+++ olsrd-0.4.10/src/neighbor_table.c	2006-11-03 09:07:12.000000000 +0100
@@ -468,6 +468,7 @@
  *
  *@return nada
  */
+#ifndef SVEN_OLA
 void
 olsr_print_neighbor_table()
 {
@@ -517,6 +518,7 @@
         }
     }
 }
+#endif
 
 
 
diff -Nur olsrd-0.4.10.orig/src/net_olsr.c olsrd-0.4.10/src/net_olsr.c
--- olsrd-0.4.10.orig/src/net_olsr.c	2005-12-29 19:37:16.000000000 +0100
+++ olsrd-0.4.10/src/net_olsr.c	2006-11-03 09:07:12.000000000 +0100
@@ -43,7 +43,9 @@
 #include "log.h"
 #include "olsr.h"
 #include "net_os.h"
+#ifndef SVEN_OLA
 #include "print_packet.h"
+#endif
 #include "link_set.h"
 #include <stdlib.h>
 
@@ -448,9 +450,11 @@
    *if the -dispout option was given
    *we print the contetnt of the packets
    */
+#ifndef SVEN_OLA
   if(disp_pack_out)
     print_olsr_serialized_packet(stdout, (union olsr_packet *)netbufs[ifp->if_nr]->buff, 
 				 netbufs[ifp->if_nr]->pending, &ifp->ip_addr); 
+#endif
   
   if(olsr_cnf->ip_version == AF_INET)
     {
diff -Nur olsrd-0.4.10.orig/src/olsr.c olsrd-0.4.10/src/olsr.c
--- olsrd-0.4.10.orig/src/olsr.c	2005-11-17 05:25:44.000000000 +0100
+++ olsrd-0.4.10/src/olsr.c	2006-11-03 09:07:12.000000000 +0100
@@ -209,6 +209,7 @@
         }
     }
   
+#ifndef SVEN_OLA
   if (olsr_cnf->debug_level > 0)
     {      
       if (olsr_cnf->debug_level > 2) 
@@ -226,6 +227,7 @@
       olsr_print_neighbor_table();
       olsr_print_tc_table();
     }
+#endif
 
   for(tmp_pc_list = pcf_list; 
       tmp_pc_list != NULL;
diff -Nur olsrd-0.4.10.orig/src/olsr_cfg.h olsrd-0.4.10/src/olsr_cfg.h
--- olsrd-0.4.10.orig/src/olsr_cfg.h	2005-11-17 05:25:44.000000000 +0100
+++ olsrd-0.4.10/src/olsr_cfg.h	2006-11-03 09:07:12.000000000 +0100
@@ -238,8 +238,10 @@
 void
 olsrd_free_cnf(struct olsrd_config *);
 
+#ifndef SVEN_OLA
 void
 olsrd_print_cnf(struct olsrd_config *);
+#endif
 
 int
 olsrd_write_cnf(struct olsrd_config *, const char *);
diff -Nur olsrd-0.4.10.orig/src/parser.c olsrd-0.4.10/src/parser.c
--- olsrd-0.4.10.orig/src/parser.c	2005-11-19 09:49:44.000000000 +0100
+++ olsrd-0.4.10/src/parser.c	2006-11-03 09:07:12.000000000 +0100
@@ -50,7 +50,9 @@
 #include "rebuild_packet.h"
 #include "net_os.h"
 #include "log.h"
+#ifndef SVEN_OLA
 #include "print_packet.h"
+#endif
 
 #ifdef WIN32
 #undef EWOULDBLOCK
@@ -174,9 +176,11 @@
 
   //printf("Message from %s\n\n", olsr_ip_to_string(from_addr)); 
       
+#ifndef SVEN_OLA
   /* Display packet */
   if(disp_pack_in)
     print_olsr_serialized_packet(stdout, (union olsr_packet *)olsr, size, from_addr);
+#endif
 
   if(olsr_cnf->ip_version == AF_INET)
     msgsize = ntohs(m->v4.olsr_msgsize);
diff -Nur olsrd-0.4.10.orig/src/print_packet.c olsrd-0.4.10/src/print_packet.c
--- olsrd-0.4.10.orig/src/print_packet.c	2005-11-19 09:49:44.000000000 +0100
+++ olsrd-0.4.10/src/print_packet.c	2006-11-03 09:07:12.000000000 +0100
@@ -39,6 +39,7 @@
  * $Id: print_packet.c,v 1.8 2005/11/19 08:49:44 kattemat Exp $
  */
 
+#ifndef SVEN_OLA
 #include "print_packet.h"
 #include "mantissa.h"
 #include "defs.h"
@@ -396,3 +397,4 @@
       remsize -= ipsize;
     }
 }
+#endif
diff -Nur olsrd-0.4.10.orig/src/process_package.c olsrd-0.4.10/src/process_package.c
--- olsrd-0.4.10.orig/src/process_package.c	2005-11-29 19:38:40.000000000 +0100
+++ olsrd-0.4.10/src/process_package.c	2006-11-03 09:07:12.000000000 +0100
@@ -246,6 +246,7 @@
       return;
     }
 
+#ifndef SVEN_OLA
   if(olsr_cnf->debug_level > 2)
     {
       mpr = message->multipoint_relay_selector_address;
@@ -259,6 +260,7 @@
 
       OLSR_PRINTF(3, "]\n")
     }
+#endif
 
   tc_last = olsr_lookup_tc_entry(&message->originator);
    
diff -Nur olsrd-0.4.10.orig/src/rebuild_packet.c olsrd-0.4.10/src/rebuild_packet.c
--- olsrd-0.4.10.orig/src/rebuild_packet.c	2005-05-28 18:01:14.000000000 +0200
+++ olsrd-0.4.10/src/rebuild_packet.c	2006-11-03 09:07:12.000000000 +0100
@@ -228,6 +228,7 @@
 	}
       
       
+#ifndef SVEN_OLA
       if(olsr_cnf->debug_level > 1)
 	{
 	  OLSR_PRINTF(3, "Alias list for %s: ", ip_to_string(&mmsg->mid_origaddr.v4))
@@ -240,6 +241,7 @@
 	    }
 	  OLSR_PRINTF(3, "\n")
 	}
+#endif
     }
   else
     {
@@ -280,6 +282,7 @@
 	}
 
 
+#ifndef SVEN_OLA
       if(olsr_cnf->debug_level > 1)
 	{
 	  OLSR_PRINTF(3, "Alias list for %s", ip6_to_string(&mmsg->mid_origaddr.v6))
@@ -293,6 +296,7 @@
 	    }
 	  OLSR_PRINTF(3, "\n")
 	}
+#endif
     }
 
 }
diff -Nur olsrd-0.4.10.orig/src/routing_table.c olsrd-0.4.10/src/routing_table.c
--- olsrd-0.4.10.orig/src/routing_table.c	2005-11-17 00:55:54.000000000 +0100
+++ olsrd-0.4.10/src/routing_table.c	2006-11-03 09:07:12.000000000 +0100
@@ -528,6 +528,7 @@
     }
 
 
+#ifndef SVEN_OLA
   if(olsr_cnf->debug_level > 5)
     {
       printf("************** TABLES ****************\n");
@@ -537,6 +538,7 @@
       olsr_print_routing_table(old_routes);
       printf("**************************************\n");
     }
+#endif
 
   
   /* Update routes */
@@ -728,11 +730,13 @@
   /* Update kernel */
   olsr_update_kernel_hna_routes();
 
+#ifndef SVEN_OLA
   if(olsr_cnf->debug_level > 2)
     {
       OLSR_PRINTF(3, "HNA table:\n")
       olsr_print_routing_table(hna_routes);
     }
+#endif
 
   olsr_free_routing_table(old_hna);
 
@@ -747,6 +751,7 @@
  *
  */
 
+#ifndef SVEN_OLA
 void
 olsr_print_routing_table(struct rt_entry *table)
 {
@@ -770,6 +775,7 @@
 	}
     }
 }
+#endif
 
 
 
diff -Nur olsrd-0.4.10.orig/src/tc_set.c olsrd-0.4.10/src/tc_set.c
--- olsrd-0.4.10.orig/src/tc_set.c	2005-11-17 05:25:44.000000000 +0100
+++ olsrd-0.4.10/src/tc_set.c	2006-11-03 09:07:12.000000000 +0100
@@ -430,6 +430,7 @@
 /**
  *Print the topology table to stdout
  */
+#ifndef SVEN_OLA
 int
 olsr_print_tc_table()
 {
@@ -489,3 +490,4 @@
 
   return 1;
 }
+#endif
diff -Nur olsrd-0.4.10.orig/src/two_hop_neighbor_table.c olsrd-0.4.10/src/two_hop_neighbor_table.c
--- olsrd-0.4.10.orig/src/two_hop_neighbor_table.c	2005-05-29 14:47:46.000000000 +0200
+++ olsrd-0.4.10/src/two_hop_neighbor_table.c	2006-11-03 09:07:12.000000000 +0100
@@ -236,6 +236,7 @@
 
 
 
+#ifndef SVEN_OLA
 /**
  *Print the two hop neighbor table to STDOUT.
  *
@@ -288,3 +289,4 @@
 	}
     }
 }
+#endif
diff -Nur olsrd-0.4.10.orig/src/win32/kernel_routes.c olsrd-0.4.10/src/win32/kernel_routes.c
--- olsrd-0.4.10.orig/src/win32/kernel_routes.c	2005-02-27 11:48:05.000000000 +0100
+++ olsrd-0.4.10/src/win32/kernel_routes.c	2006-11-03 09:07:12.000000000 +0100
@@ -94,9 +94,11 @@
     return -1;
   }
 
+#ifndef SVEN_OLA
   if(olsr_cnf->open_ipc)
     ipc_route_send_rtentry(&Dest->rt_dst, &Dest->rt_router, Dest->rt_metric,
                            1, Dest->rt_if->int_name);
+#endif
 
   return 0;
 }
@@ -144,8 +146,10 @@
     return -1;
   }
 
+#ifndef SVEN_OLA
   if(olsr_cnf->open_ipc)
     ipc_route_send_rtentry(&Dest->rt_dst, NULL, Dest->rt_metric, 0, NULL);
+#endif
 
   return 0;
 }
